/* WGProcess.h created by epeyton on Tue 17-Aug-1999 */

#import <AppKit/AppKit.h>
#import "WGController.h"

@interface WGProcess : NSObject
{
    WGController *controller;

    id startButton;
    id stopButton;
    id pauseButton;
    id clearButton;

    id parentController;

    id resultField;
    
    id tabView;

    NSTask			*chore;

}

- (void)run:(id)sender;
- (void)stop:(id)sender;
- (void)pause:(id)sender;
- (void)clear:(id)sender;

- (BOOL)isRunning;

// Methods that display command output to resultField
- (void)printTitle:(NSString *)header query:(NSString *)query;
- (void)printResults:(NSString *)result;

// Subthread method
- (void)theTask:(NSArray *)object;

- (void)getData:(NSNotification *)aNotification;


@end
